# KDChartRelativePosition.h File Reference

`#include <QDebug>`
`#include <QMetaType>`
`#include <Qt>`
`#include <QPointF>`
`#include <QSizeF>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartRelativePosition.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::RelativePosition &)
| Q_DECLARE_TYPEINFO (KDChart::RelativePosition, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::RelativePosition & |
| ) |

Definition at line 210 of file KDChartRelativePosition.cpp.

References KDChart::RelativePosition::alignment(), KDChart::RelativePosition::horizontalPadding(), KDChart::RelativePosition::referenceArea(), KDChart::RelativePosition::referencePosition(), KDChart::RelativePosition::rotation(), and KDChart::RelativePosition::verticalPadding().

    00211 {
    00212     dbg << "KDChart::RelativePosition("
    00213         << "referencearea="<<rp.referenceArea()
    00214         << "referenceposition="<<rp.referencePosition()
    00215         << "alignment="<<rp.alignment()
    00216         << "horizontalpadding="<<rp.horizontalPadding()
    00217         << "verticalpadding="<<rp.verticalPadding()
    00218         << "rotation="<<rp.rotation()
    00219         << ")";
    00220     return dbg;
    00221 }

Q_DECLARE_TYPEINFO | ( | KDChart::RelativePosition | ,
|  | Q_MOVABLE_TYPE |
| ) |